<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:context=".ui.serviceDetail.ServiceDetailActivity">

    <data>

        <variable
            name="viewmodel"
            type="com.assistant.top.service.provider.ui.service_details.ServiceDetailstViewModel" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:id="@+id/layToolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/theme"
            tools:ignore="UselessParent">

            <com.assistant.top.service.provider.ui.view.MVToolbar
                android:id="@+id/commonToolbar"
                android:layout_width="match_parent"
                android:layout_height="@dimen/_50dp"
                android:layout_marginTop="@dimen/_10dp"
                android:layout_marginBottom="@dimen/_10dp"
                app:isBackArrowVisible="true"
                app:isNotificationVisible="false"
                app:isTitleVisible="true"
                app:menu3="@drawable/white_back_icon"
                app:textColor="@color/white"
                app:title="@string/Service_Details" />

        </RelativeLayout>

        <androidx.core.widget.NestedScrollView
            android:id="@+id/scrollView"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">


                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_horizontal">


                    <androidx.cardview.widget.CardView
                        android:id="@+id/imgUser"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginTop="@dimen/dimen10"
                        android:layout_marginEnd="@dimen/dimen15"
                        app:cardCornerRadius="@dimen/_10dp"
                        app:cardPreventCornerOverlap="false"
                        app:cardUseCompatPadding="true"
                        tools:ignore="MissingConstraints">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/_200dp"
                            android:adjustViewBounds="true"
                            android:scaleType="fitXY"
                            android:src="@drawable/imgservice_detai_luser"
                            app:layout_constraintTop_toBottomOf="@id/layToolbar" />

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:id="@+id/tvUserName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/imgUser"
                        android:layout_alignParentStart="true"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginTop="@dimen/_10dp"
                        android:layout_marginEnd="@dimen/dimen15"
                        android:fontFamily="@font/aileron_black"
                        android:text="@string/Johan_Smith"
                        android:textColor="@color/black"
                        android:textSize="@dimen/_18sp" />

                    <TextView
                        android:id="@+id/tvUserId"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/imgUser"
                        android:layout_alignParentEnd="true"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginTop="@dimen/_10dp"
                        android:layout_marginEnd="@dimen/dimen15"
                        android:fontFamily="@font/aileron_black"
                        android:text="@string/Id_986547"
                        android:textColor="@color/black"
                        android:textSize="@dimen/_18sp" />


                    <androidx.appcompat.widget.AppCompatRatingBar
                        android:id="@+id/tvRating"
                        style="@style/Widget.AppCompat.RatingBar.Small"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvUserName"
                        android:layout_alignParentStart="true"
                        android:layout_gravity="center"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginTop="@dimen/dimen3"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:isIndicator="true"
                        android:progressTint="@color/yellow"
                        android:rating="5"
                        android:secondaryProgressTint="#00000000"
                        android:stepSize="0.5" />

                    <TextView
                        android:id="@+id/tvRate"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignTop="@+id/tvRating"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="@dimen/dimen3"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:layout_toEndOf="@+id/tvRating"
                        android:fontFamily="@font/aileron_bold"
                        android:text="@string/rating_4_5"
                        android:textColor="@color/black"
                        android:textSize="@dimen/_10sp" />

                    <TextView
                        android:id="@+id/tvReview"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignTop="@+id/tvRating"
                        android:layout_marginTop="@dimen/dimen3"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:layout_toEndOf="@id/tvRate"
                        android:fontFamily="@font/aileron_regular"
                        android:text="@string/reviews"
                        android:textColor="@color/grey"
                        android:textSize="@dimen/_10sp" />

                    <TextView
                        android:id="@+id/tvAddress"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvRating"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginTop="@dimen/_3dp"
                        android:layout_marginEnd="@dimen/_15dp"
                        android:layout_marginBottom="@dimen/_5dp"
                        android:fontFamily="@font/aileron_semibold"
                        android:text="@string/address"
                        android:textColor="@color/black"
                        android:textSize="@dimen/_16sp" />

                    <TextView
                        android:id="@+id/tvAddressDetail"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvAddress"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginEnd="@dimen/dimen15"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:fontFamily="@font/aileron_semibold"
                        android:text="@string/address_detail"
                        android:textColor="@color/my_request_text_color"
                        android:textSize="@dimen/_16sp" />


                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/_150dp"
                        android:layout_below="@+id/tvAddressDetail"
                        android:layout_marginStart="@dimen/_15dp"
                        android:layout_marginEnd="@dimen/_15dp"
                        android:background="@drawable/map_img"
                        android:visibility="gone">

                    </RelativeLayout>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/cardMapView"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/_160dp"
                        android:layout_below="@+id/tvAddressDetail"
                        android:layout_marginStart="@dimen/dimen18"
                        android:layout_marginTop="@dimen/_10dp"
                        android:layout_marginEnd="@dimen/dimen18"
                        android:elevation="@dimen/dimen10"
                        app:cardCornerRadius="5dp"
                        app:cardElevation="@dimen/_10dp">

                        <fragment
                            android:id="@+id/mapView"
                            android:name="com.assistant.top.service.provider.ui.service_details.MapFragment"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/_160dp"
                            android:layout_below="@+id/tvAddressDetail" />

                    </androidx.cardview.widget.CardView>


                    <RelativeLayout
                        android:id="@+id/relService"
                        rectColor="@{@color/box_bg}"
                        rectDrawable="@{15f}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_below="@id/cardMapView"
                        android:layout_marginStart="@dimen/dimen15"
                        android:layout_marginTop="@dimen/_15dp"
                        android:layout_marginEnd="@dimen/dimen15"
                        android:layout_marginBottom="@dimen/_10dp">

                        <TextView
                            android:id="@+id/tvServiceType"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_marginStart="@dimen/_20dp"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:fontFamily="@font/aileron_bold"
                            android:text="@string/Service_Type"
                            android:textColor="@color/dark_blue"
                            android:textSize="@dimen/_16sp" />

                        <TextView
                            android:id="@+id/tvServiceQuantity"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_marginStart="@dimen/_20dp"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:fontFamily="@font/aileron_bold"
                            android:text="@string/Service_Quantity"
                            android:textColor="@color/dark_blue"
                            android:textSize="@dimen/_16sp"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tvServiceTypeDetail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/tvServiceType"
                            android:layout_alignParentStart="true"
                            android:layout_marginStart="@dimen/_20dp"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:layout_marginBottom="@dimen/_10dp"
                            android:fontFamily="@font/aileron_semibold"
                            android:text="@string/Ac_Service"
                            android:textColor="@color/grey"
                            android:textSize="@dimen/_14sp" />

                        <TextView
                            android:id="@+id/tvServiceQuantityNo"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/tvServiceQuantity"
                            android:layout_alignStart="@id/tvServiceQuantity"
                            android:layout_alignParentEnd="true"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:layout_marginBottom="@dimen/_10dp"
                            android:fontFamily="@font/aileron_semibold"
                            android:text="@string/two_Pcs"
                            android:textColor="@color/grey"
                            android:textSize="@dimen/_14sp"
                            android:visibility="gone" />

                    </RelativeLayout>


                    <RelativeLayout
                        android:id="@+id/relDateTime"
                        rectColor="@{@color/box_bg}"
                        rectDrawable="@{15f}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_below="@id/relService"
                        android:layout_marginHorizontal="@dimen/dimen15"
                        android:layout_marginBottom="@dimen/_10dp">

                        <TextView
                            android:id="@+id/tvServiceDate"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_marginStart="@dimen/_20dp"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:fontFamily="@font/aileron_bold"
                            android:text="@string/Date_Time"
                            android:textColor="@color/dark_blue"
                            android:textSize="@dimen/_16sp" />

                        <TextView
                            android:id="@+id/tvServiceTime"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/tvServiceDate"
                            android:layout_alignParentStart="true"
                            android:layout_marginStart="@dimen/_20dp"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:layout_marginBottom="@dimen/_10dp"
                            android:fontFamily="@font/aileron_semibold"
                            android:text="@string/date_to_from"
                            android:textColor="@color/grey"
                            android:textSize="@dimen/_14sp" />

                    </RelativeLayout>

                    <RelativeLayout
                        android:id="@+id/relRating"
                        rectColor="@{@color/box_bg}"
                        rectDrawable="@{15f}"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_below="@id/relDateTime"
                        android:layout_marginHorizontal="@dimen/dimen15"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:visibility="gone">

                        <TextView
                            android:id="@+id/tvRatingDetail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentStart="true"
                            android:layout_marginStart="@dimen/_20dp"
                            android:layout_marginTop="@dimen/_10dp"
                            android:layout_marginEnd="@dimen/_20dp"
                            android:fontFamily="@font/aileron_bold"
                            android:text="Rating"
                            android:textColor="@color/dark_blue"
                            android:textSize="@dimen/_16sp" />

                        <androidx.appcompat.widget.AppCompatRatingBar
                            android:id="@+id/tvRatingCountDetail"
                            style="@style/Widget.AppCompat.RatingBar.Small"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@id/tvRatingDetail"
                            android:layout_alignParentStart="true"
                            android:layout_gravity="center"
                            android:layout_marginStart="@dimen/dimen20"
                            android:layout_marginTop="@dimen/dimen3"
                            android:layout_marginBottom="@dimen/_10dp"
                            android:isIndicator="true"
                            android:progressTint="@color/yellow"
                            android:rating="5"
                            android:secondaryProgressTint="#00000000"
                            android:stepSize="0.5" />

                    </RelativeLayout>

                    <TextView
                        android:id="@+id/tvServiceEarning"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/relRating"
                        android:layout_marginStart="@dimen/_20dp"
                        android:layout_marginEnd="@dimen/_20dp"
                        android:layout_marginTop="@dimen/dimen8"
                        android:layout_marginBottom="@dimen/dimen20"
                        android:fontFamily="@font/aileron_black"
                        android:gravity="center"
                        android:paddingVertical="@dimen/dimen10"
                        android:text="@string/Total_Earning00"
                        android:textColor="@color/black"
                        android:textSize="@dimen/_18sp" />

                    <LinearLayout
                        android:id="@+id/rejectAccept"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvServiceEarning"
                        android:layout_marginTop="-18dp"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:visibility="gone">

                        <com.assistant.top.service.provider.ui.view.CustomButtomProgressBar
                            android:id="@+id/btnReject"
                            android:layout_width="@dimen/_100dp"
                            android:layout_height="@dimen/_45dp"
                            android:layout_marginStart="@dimen/dimen20"
                            android:layout_marginTop="@dimen/_15dp"
                            android:layout_marginEnd="@dimen/_15dp"
                            android:layout_marginBottom="@dimen/_15dp"
                            android:layout_weight="1"
                            android:elevation="2dp"
                            android:fontFamily="@font/aileron_bold"
                            app:bgColor="@color/yellow"
                            app:buttonTextColor="@color/black"
                            app:padding="10"
                            app:radius="90"
                            app:styleFont="2"
                            app:tSize="14"
                            app:text="@string/reject" />

                        <com.assistant.top.service.provider.ui.view.CustomButtomProgressBar
                            android:id="@+id/btnAccept"
                            android:layout_width="@dimen/_100dp"
                            android:layout_height="@dimen/dimen45"
                            android:layout_marginStart="@dimen/_15dp"
                            android:layout_marginTop="@dimen/_15dp"
                            android:layout_marginEnd="@dimen/dimen20"
                            android:layout_marginBottom="@dimen/_15dp"
                            android:layout_weight="1"
                            android:elevation="2dp"
                            android:fontFamily="@font/aileron_bold"
                            app:bgColor="@color/theme"
                            app:buttonTextColor="@color/white"
                            app:padding="10"
                            app:radius="90"
                            app:styleFont="2"
                            app:tSize="14"
                            app:text="@string/accept" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/completeCancel"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_below="@id/tvServiceEarning"
                        android:layout_marginTop="-18dp"
                        android:layout_marginBottom="@dimen/_10dp"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:visibility="gone">

                        <com.assistant.top.service.provider.ui.view.CustomButtomProgressBar
                            android:id="@+id/btnComplete"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginStart="@dimen/_15dp"
                            android:layout_marginTop="@dimen/_15dp"
                            android:layout_marginEnd="@dimen/_5dp"
                            android:layout_marginBottom="@dimen/_15dp"
                            android:layout_weight="1"
                            android:elevation="2dp"
                            android:fontFamily="@font/aileron_bold"
                            app:bgColor="@color/theme"
                            app:buttonTextColor="@color/white"
                            app:padding="30"
                            app:radius="15"
                            app:styleFont="2"
                            app:tSize="14"
                            app:text="@string/Complete" />

                        <com.assistant.top.service.provider.ui.view.CustomButtomProgressBar
                            android:id="@+id/btnCancel"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/_5dp"
                            android:layout_marginTop="@dimen/_15dp"
                            android:layout_marginEnd="@dimen/_15dp"
                            android:layout_marginBottom="@dimen/_15dp"
                            android:layout_weight="1"
                            android:elevation="2dp"
                            android:fontFamily="@font/aileron_bold"
                            app:bgColor="@color/light_red"
                            app:buttonTextColor="@color/white"
                            app:padding="30"
                            app:radius="15"
                            app:styleFont="2"
                            app:tSize="14"
                            app:text="@string/cancel" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/layStartService"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="-18dp"
                        android:layout_below="@id/tvServiceEarning"
                        android:orientation="vertical"
                        android:visibility="gone">

                        <TextView
                            android:id="@+id/btnSendMessage"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/dimen10"
                            android:layout_marginBottom="@dimen/dimen10"
                            android:drawableLeft="@drawable/ic_icon_material_chat"
                            android:drawablePadding="@dimen/dimen10"
                            android:fontFamily="@font/aileron_bold"
                            android:paddingHorizontal="@dimen/dimen10"
                            android:paddingVertical="@dimen/dimen10"
                            android:text="@string/send_message"
                            android:textColor="@color/white"
                            android:textSize="@dimen/_14sp"
                            app:rectColor="@{@color/yellow}"
                            app:rectDrawable="@{20f}" />

                        <!--<TextView
                            android:id="@+id/btnSendMessage"
                            android:layout_gravity="center"
                            android:layout_marginTop="@dimen/_15dp"
                            rectColor="@{@color/yellow}"
                            rectDrawable="@{15f}"
                            android:onClick="@{()-> viewmodel.onClickSendMessage()}"
                            android:textColor="@color/white"
                            android:fontFamily="@font/aileron_bold"
                            android:textSize="@dimen/_12sp"
                            android:drawablePadding="@dimen/dimen12"
                            android:background="@color/yellow"
                            android:text="@string/send_message"
                            android:paddingHorizontal="@dimen/_10dp"
                            android:paddingVertical="@dimen/dimen10"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            app:drawableStartCompat="@drawable/ic_icon_material_chat" />-->

                        <com.assistant.top.service.provider.ui.view.CustomButtomProgressBar
                            android:id="@+id/btnStartService"
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/_45dp"
                            android:layout_marginStart="@dimen/_25dp"
                            android:layout_marginTop="@dimen/_15dp"
                            android:layout_marginEnd="@dimen/_25dp"
                            android:layout_marginBottom="@dimen/_15dp"
                            android:elevation="2dp"
                            android:fontFamily="@font/aileron_bold"
                            app:bgColor="@color/theme"
                            app:buttonTextColor="@color/white"
                            app:padding="30"
                            app:radius="15"
                            app:styleFont="2"
                            app:tSize="14"
                            app:text="@string/start_service" />

                    </LinearLayout>


                </RelativeLayout>

                <ImageView
                    android:id="@+id/imageCompleted"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginTop="@dimen/_180dp"
                    android:src="@drawable/completed_green_img"
                    android:visibility="gone">

                </ImageView>

            </RelativeLayout>

        </androidx.core.widget.NestedScrollView>

    </LinearLayout>

</layout>